Eclipse Platform Release 3.7

## org.eclipse.jface.preference
Class JFacePreferences

    java.lang.Object
      org.eclipse.jface.preference.JFacePreferences

    public final class JFacePreferences

extends Object

JFacePreferences is a class used to administer the preferences used by JFace objects.

Field Summary
`static String` `ACTIVE_HYPERLINK_COLOR` Identifier for the Active Hyperlink Colour
`static String` `CONTENT_ASSIST_BACKGROUND_COLOR` Identifier for the color used for the background of content assist popup dialogs.
`static String` `CONTENT_ASSIST_FOREGROUND_COLOR` Identifier for the color used for the foreground of content assist popup dialogs.
`static String` `COUNTER_COLOR` Identifier for the color used to counter informations For example in 'Foo.txt (2 matches)', the counter information is '(2 matches)'.
`static String` `DECORATIONS_COLOR` Identifier for the color used to show label decorations For example in 'Foo.txt [1.16]', the decoration is '[1.16]'.
`static String` `ERROR_COLOR` Identifier for the Error Color
`static String` `HYPERLINK_COLOR` Identifier for the Hyperlink Color
`static String` `QUALIFIER_COLOR` Identifier for the color used to show extra informations in labels, as a qualified name.

Method Summary
`static IPreferenceStore` `getPreferenceStore()` Return the preference store for the receiver.
`static void` `setPreferenceStore(IPreferenceStore store)` Set the preference store for the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_COLOR

    public static final String ERROR_COLOR

  Identifier for the Error Color

  See Also:
    Constant Field Values

### HYPERLINK_COLOR

    public static final String HYPERLINK_COLOR

  Identifier for the Hyperlink Color

  See Also:
    Constant Field Values

### ACTIVE_HYPERLINK_COLOR

    public static final String ACTIVE_HYPERLINK_COLOR

  Identifier for the Active Hyperlink Colour

  See Also:
    Constant Field Values

### QUALIFIER_COLOR

    public static final String QUALIFIER_COLOR

  Identifier for the color used to show extra informations in labels, as a qualified name. For example in 'Foo.txt - myproject/bar', the qualifier is '- myproject/bar'.

  Since:
    3.4
  See Also:
    Constant Field Values

### DECORATIONS_COLOR

    public static final String DECORATIONS_COLOR

  Identifier for the color used to show label decorations For example in 'Foo.txt [1.16]', the decoration is '[1.16]'.

  Since:
    3.4
  See Also:
    Constant Field Values

### COUNTER_COLOR

    public static final String COUNTER_COLOR

  Identifier for the color used to counter informations For example in 'Foo.txt (2 matches)', the counter information is '(2 matches)'.

  Since:
    3.4
  See Also:
    Constant Field Values

### CONTENT_ASSIST_BACKGROUND_COLOR

    public static final String CONTENT_ASSIST_BACKGROUND_COLOR

  Identifier for the color used for the background of content assist popup dialogs.

  Since:
    3.4
  See Also:
    Constant Field Values

### CONTENT_ASSIST_FOREGROUND_COLOR

    public static final String CONTENT_ASSIST_FOREGROUND_COLOR

  Identifier for the color used for the foreground of content assist popup dialogs.

  Since:
    3.4
  See Also:
    Constant Field Values

Method Detail

### getPreferenceStore

    public static IPreferenceStore getPreferenceStore()

  Return the preference store for the receiver.

  Returns:
    IPreferenceStore or null

### setPreferenceStore

    public static void setPreferenceStore(IPreferenceStore store)

  Set the preference store for the receiver.

  Parameters:
    `store` - IPreferenceStore

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.